
Figure - Bug #117004
【BSP】【EVT】【power】显示屏单独关电、上电，显示屏进入开机动画界面
2023-03-17 10:41 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-17

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0083.C101(X101)

Resolution: WORKSFORME Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前置条件】

1、板子已经成功连接屏幕

【操作步骤】

1、显示屏单独关电、上电

2、观察屏幕

【预期结果】

1.正常显示

【实际结果】

1.显示屏进入开机动画界面后，正常显示

History

#1 - 2023-03-17 14:44 - BSP组-RD3_TSCD 贾顺旺

1）如上显示屏是基于如下bug中描述的显示屏不亮的基础上进行断电、上电操作的。

https://share.thundersoft.com/redmine/issues/115713

2）找一套可以正常显示的VC1主板（EVT3）和显示屏进行复测。

  复现操作a)：显示屏、主板间隔10s依次上电。       结果：显示开机动画、进入桌面；

  复现操作b)：主板、显示屏间隔10s依次上电。       结果：显示开机动画、进入桌面；

  复现操作c)：主板、显示屏间隔60s依次上电。       结果：显示开机动画、进入桌面；

  复现操作d)：主板、显示屏间隔180s依次上电。      结果：进入屏保桌面；

  复现操作d)：在屏报桌面，显示屏进行断电、上电操作。结果：显示屏无显示、触摸事件无上报；

3)需要进一步分析显示屏的状态检测逻辑。

#2 - 2023-03-20 11:27 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to System组-RD3_CDTS 蒋富雄

#3 - 2023-03-22 11:09 - CD BSP-杜磊

- Assignee changed from System组-RD3_CDTS 蒋富雄 to CD FW 曹覃刚

Hi， 覃刚
日志中出现大量的AndroidRuntiom错误，和https://share.thundersoft.com/redmine/issues/115713问题类似

03-17 10:07:58.697 28825 28825 E AndroidRuntime: FATAL EXCEPTION: main

03-17 10:07:58.697 28825 28825 E AndroidRuntime: Process: com.android.systemui, PID: 28825

03-17 10:07:58.697 28825 28825 E AndroidRuntime: java.lang.RuntimeException: Unable to get provider com.android.systemui.keyguard.KeyguardSliceProvider:

java.lang.RuntimeException: java.lang.NullPointerException: Invalid Surface(name=Task=2261)/@0xe21720a, mNativeObject is null. Have you called release() already?

03-17 10:07:58.697 28825 28825 E AndroidRuntime:     at android.app.ActivityThread.installProvider(ActivityThread.java:7468)

03-17 10:07:58.697 28825 28825 E AndroidRuntime:     at android.app.ActivityThread.installContentProviders(ActivityThread.java:6980)

03-17 10:07:58.697 28825 28825 E AndroidRuntime:     at android.app.ActivityThread.handleBindApplication(ActivityThread.java:6729)

03-17 10:07:58.697 28825 28825 E AndroidRuntime:     at android.app.ActivityThread.access$1500(ActivityThread.java:248)

03-17 10:07:58.697 28825 28825 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2054)

03-17 10:07:58.697 28825 28825 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

#4 - 2023-03-22 18:48 - CD BSP-杜磊

- Category changed from BSP to CD-FW

#5 - 2023-03-23 19:39 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

Hi 诗雨

如飞书沟通

这个票中的黑屏现象与115713中，我更新的原因一样，都是因为MTBF跑出的layer过多导致，有相关票正在分析

因此黑屏的原因不是屏幕导致的，请确认，谢谢

#6 - 2023-03-24 10:01 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WORKSFORME

0323版本正常情况下屏幕关电上电无法复现。经研发分析重启与黑屏有关，与屏幕上电无关

#7 - 2023-03-24 10:01 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#8 - 2023-03-24 10:01 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

03171018.txt 15.9 MB 2023-03-17 CDTS_Test 吴诗雨
